org.eclnt.jsfserver.defaultscreens

## Class IdAttributesSelection.IdAttributesLineGrid

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding<ItemClass>
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding<IdAttributesSelection.IdAttributesLine>
    - - org.eclnt.jsfserver.defaultscreens.IdAttributesSelection.IdAttributesLineGrid

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDBinding<IdAttributesSelection.IdAttributesLine>, IListWithChangeIndexListener, IDynamicContentBindingObject
  Enclosing class:
    IdAttributesSelection

      public class IdAttributesSelection.IdAttributesLineGrid
      extends FIXGRIDListBinding<IdAttributesSelection.IdAttributesLine>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `FIXGRIDBinding.Exporter, FIXGRIDBinding.FormattedValue, FIXGRIDBinding.ScrollHelper, FIXGRIDBinding.SortHelper, FIXGRIDBinding.TextSearcher`

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `IFIXGRIDBinding.FIXGRIDSortInfo`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `m_columnsequence, m_currentlyFocussedItem, m_defaultColumnsequence, m_firstItemForShiftSelection, m_initialized, m_modcolumnwidths, m_numberoffooterrows, m_numberofheaderrows, m_objectBinding, m_previouslyFocussedItem, m_sbvalue, m_sbvisibleamount, m_selectedItems, m_sortInfo, m_this`

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `SORT_ASCENDING, SORT_DESCENDING, SORT_UNSORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdAttributesLineGrid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()` This method is called one time - after the grid is first time contacted by the server side FIXGRID component.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding

      `createItems, deselectItem, ensureItemToBeDisplayed, ensureItemToBeDisplayed, fillShiftSelection, getItems, getListOfItems, getRows, getSbmaximum, getSelectedItemsAsSequence, listChanged, listItemWasAdded, listItemWasRemoved, processSearch, selectItem, setItems, setSbvalue, setSbvalue, sortGrid`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `applyPersistentData, checkIfCellsAreHighlighted, checkIfChangeIndexIsSupported, clearSortInfo, connectWithBinding, createDefaultStringComparator, createExporter, createScrollHelper, createTextSearcher, deselectCurrentSelection, deselectItem, deselectItem, deselectItemWCB, executeOnInitializedGrid, findSortComparatorForColumnValue, getAltPressedOfLastSelection, getClientvisibleamount, getColumnIndexOfLastSelection, getColumnInfos, getColumnsequence, getColumnTexts, getConnectedBinding, getCtrlPressedOfLastSelection, getCurrentColumWdithSequenceInfo, getCurrentHorizontalScrollPosition, getDefaultColumnsequence, getExportableColumns, getExportableColumns, getExporter, getFixgridComponent, getIndextobevisibleOfItems, getListOfExportItems, getModcolumnwidths, getModcolumnwidthsAsArray, getMouseButtonOfLastSelection, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getOriginalcolumnwidths, getOriginalcolumnwidthsAsArray, getRowDataUI, getSbvalue, getSbvisibleamount, getScrollHelper, getSelectedItem, getSelectedItems, getShiftPressedOfLastSelection, getSortInfo, getSortInfoForReference, getTextSearcher, getToBeAccessedNode, getToBeAccessedNodeExpression, getToBeAccessedNodeFormatmaskValue, getToBeAccessedNodeFormattedValue, getToBeAccessedNodeFormatValue, getToBeAccessedNodeStringValue, getToBeAccessedNodeTimezoneValue, getToBeAccessedNodeValue, getVisibleColumns, getVisibleColumns, init_CONTENTTYPE_EXPORT_CSV, init_CONTENTTYPE_EXPORT_PDF, init_CONTENTTYPE_EXPORT_XLSX, init_CONTENTTYPE_EXPORT_XML, initPopupEditColumnDetailsUndecorated, initPopupGridFunctionsUndecorated, initTextSearcherShowSearchInfoPopup, isCurrentlyProcessingGridAction, isInitialized, isItemSelected, moveUpDown, onClearCellHighlight, onColumnSequenceUpdated, onColumnWidthsUpdated, onDrop, onEditColumnDetails, onFirstLineUp, onGridAction, onGridActionExecute, onLastLineDown, onOpenGridExportFunctions, onOpenGridFunctions, onPopupMenuItem, onPopupMenuLoad, onSelectionUpdateByClientActivity, onSelectorTitleIconInvoked, openEditColumnDetailsPopup, openGridExportFunctionsPopup, openGridFunctionsPopup, passComponentData, processMultipleSort, processMultipleSort, processSort, renderingBegins, resort, scrollHorizontallyToLastClientPosition, scrollHorizontallyToPosition, selectAndFocusItem, selectItem, selectItem, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setCurrentlyProcessingGridAction, setDefaultColumnsequence, setIndextobevisibleOfItems, setModcolumnwidth, setModcolumnwidths, setModcolumnwidthsArray, setModcolumnwidthsList, setObjecttobevisibleOfItems, setSbvalue, setSbvisibleamount, setToBeAccessedNode, sort, storePersistentData, storePersistentDataImplicitly, unhighlightAllCells, updateHighlight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `checkIfChangeIndexIsSupported, getClientvisibleamount, getColumnsequence, getConnectedBinding, getExportableColumns, getExportableColumns, getIndextobevisibleOfItems, getModcolumnwidths, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getSbvalue, getSbvisibleamount, getSortInfo, getSortInfoForReference, getVisibleColumns, getVisibleColumns, passComponentData, renderingBegins, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setIndextobevisibleOfItems, setModcolumnwidths, setObjecttobevisibleOfItems, setSbvisibleamount`

- - ### Constructor Detail

    - #### IdAttributesLineGrid

          public IdAttributesLineGrid()

  - ### Method Detail

    - #### initialize

          public void initialize()

      Description copied from class: `FIXGRIDBinding`
      This method is called one time - after the grid is first time contacted by the server side FIXGRID component. This happens in the rendering phase, when the grid is first time touches by the component processing. Grid properties (like the objectbinding) are avaiable at this point of time earliest - before the grid is just an object without reference to a component processin.
      Overrides:
        `initialize` in class `FIXGRIDBinding<IdAttributesSelection.IdAttributesLine>`

Copyright © CaptainCasa Gmbh. All Rights Reserved.